Subject: bug#79125: quit-window fails to restore window height in a scenario of buffer reuse

From: Juri Linkov <[email-masked]>
Date: Wed, 30 Jul 2025 20:55:36 +0300

>>> 6. Move to the second line, press 'l' - that shows vc-change-log buffer in
>>> the top window, resizing it to fit (shrinking the height to 5 lines).
>>
>> I don't like such auto-resizing very much.  I tried to find a way
>> to disable it in several bug reports, but it always comes back.
>
> Do you have any ideas why 'resize-temp-buffer-window-inhibit' does not
> apply here?

It seems 'resize-temp-buffer-window-inhibit' is not an user option
since 'window--display-buffer' changes its value.  But I meant
other cases since there is no auto-resizing in Dmitry's test case
while using these settings:

(remove-hook 'vc-diff-finish-functions 'vc-shrink-buffer-window)
(remove-hook 'vc-log-finish-functions 'vc-shrink-buffer-window)